Index: pro-violet-viettel/sourcecode/application/cache/smarty/compiled/6285c4ab471a1112d167cd99709b3140f773b082.file.test.php.php
===================================================================
--- pro-violet-viettel/sourcecode/application/cache/smarty/compiled/6285c4ab471a1112d167cd99709b3140f773b082.file.test.php.php	(revision 345)
+++ pro-violet-viettel/sourcecode/application/cache/smarty/compiled/6285c4ab471a1112d167cd99709b3140f773b082.file.test.php.php	(revision 345)
@@ -0,0 +1,22 @@
+<?php /* Smarty version Smarty-3.1.7, created on 2014-10-30 11:48:39
+         compiled from "application/modules/admin/views/test.php" */ ?>
+<?php /*%%SmartyHeaderCode:15508241715451c327effd33-55850599%%*/if(!defined('SMARTY_DIR')) exit('no direct access allowed');
+$_valid = $_smarty_tpl->decodeProperties(array (
+  'file_dependency' => 
+  array (
+    '6285c4ab471a1112d167cd99709b3140f773b082' => 
+    array (
+      0 => 'application/modules/admin/views/test.php',
+      1 => 1414644075,
+      2 => 'file',
+    ),
+  ),
+  'nocache_hash' => '15508241715451c327effd33-55850599',
+  'function' => 
+  array (
+  ),
+  'has_nocache_code' => false,
+  'version' => 'Smarty-3.1.7',
+  'unifunc' => 'content_5451c327f0d56',
+),false); /*/%%SmartyHeaderCode%%*/?>
+<?php if ($_valid && !is_callable('content_5451c327f0d56')) {function content_5451c327f0d56($_smarty_tpl) {?>456<?php }} ?>
Index: pro-violet-viettel/sourcecode/application/cache/smarty/compiled/896cc2d4903f7cb099be53ed4a004da1f1b4ab34.file.index.php.php
===================================================================
--- pro-violet-viettel/sourcecode/application/cache/smarty/compiled/896cc2d4903f7cb099be53ed4a004da1f1b4ab34.file.index.php.php	(revision 345)
+++ pro-violet-viettel/sourcecode/application/cache/smarty/compiled/896cc2d4903f7cb099be53ed4a004da1f1b4ab34.file.index.php.php	(revision 345)
@@ -0,0 +1,22 @@
+<?php /* Smarty version Smarty-3.1.7, created on 2014-10-30 11:45:20
+         compiled from "application/views/index.php" */ ?>
+<?php /*%%SmartyHeaderCode:8932258835451c11dec4242-84494553%%*/if(!defined('SMARTY_DIR')) exit('no direct access allowed');
+$_valid = $_smarty_tpl->decodeProperties(array (
+  'file_dependency' => 
+  array (
+    '896cc2d4903f7cb099be53ed4a004da1f1b4ab34' => 
+    array (
+      0 => 'application/views/index.php',
+      1 => 1414644316,
+      2 => 'file',
+    ),
+  ),
+  'nocache_hash' => '8932258835451c11dec4242-84494553',
+  'function' => 
+  array (
+  ),
+  'version' => 'Smarty-3.1.7',
+  'unifunc' => 'content_5451c11ded4c1',
+  'has_nocache_code' => false,
+),false); /*/%%SmartyHeaderCode%%*/?>
+<?php if ($_valid && !is_callable('content_5451c11ded4c1')) {function content_5451c11ded4c1($_smarty_tpl) {?>123456<?php }} ?>
Index: pro-violet-viettel/sourcecode/application/cache/smarty/compiled/8b2d10c353cfdb015a96e339ea08ab72495dbf35.file.listview.php.php
===================================================================
--- pro-violet-viettel/sourcecode/application/cache/smarty/compiled/8b2d10c353cfdb015a96e339ea08ab72495dbf35.file.listview.php.php	(revision 345)
+++ pro-violet-viettel/sourcecode/application/cache/smarty/compiled/8b2d10c353cfdb015a96e339ea08ab72495dbf35.file.listview.php.php	(revision 345)
@@ -0,0 +1,315 @@
+<?php /* Smarty version Smarty-3.1.7, created on 2014-10-30 15:14:35
+         compiled from "application/modules/admin/views/collaborator/listview.php" */ ?>
+<?php /*%%SmartyHeaderCode:691235965451c611936948-25061103%%*/if(!defined('SMARTY_DIR')) exit('no direct access allowed');
+$_valid = $_smarty_tpl->decodeProperties(array (
+  'file_dependency' => 
+  array (
+    '8b2d10c353cfdb015a96e339ea08ab72495dbf35' => 
+    array (
+      0 => 'application/modules/admin/views/collaborator/listview.php',
+      1 => 1414656631,
+      2 => 'file',
+    ),
+  ),
+  'nocache_hash' => '691235965451c611936948-25061103',
+  'function' => 
+  array (
+  ),
+  'version' => 'Smarty-3.1.7',
+  'unifunc' => 'content_5451c61194a0f',
+  'variables' => 
+  array (
+    'itemsoptions' => 0,
+    'option' => 0,
+    'perpage' => 0,
+    'keyword' => 0,
+    'collaborators' => 0,
+    'collaborator' => 0,
+    'paging' => 0,
+  ),
+  'has_nocache_code' => false,
+),false); /*/%%SmartyHeaderCode%%*/?>
+<?php if ($_valid && !is_callable('content_5451c61194a0f')) {function content_5451c61194a0f($_smarty_tpl) {?><div id="breadcrumbs" class="breadcrumbs">
+    <script type="text/javascript">
+        try{ace.settings.check('breadcrumbs' , 'fixed')}catch(e){}
+    </script>
+
+    <ul class="breadcrumb">
+        <li>
+            <i class="icon-home home-icon"></i>
+            <a href="#">Trang chá»§</a>
+        </li>
+
+        <li>
+            <a href="#">Quáº£n lÃœ tÃ i khoáº£n</a>
+        </li>
+        <li>
+            <a href="#">NgÆ°á»i dÃ¹ng</a>
+        </li>
+        <li class="active">Cá»ng tÃ¡c viÃªn</li>
+    </ul><!-- .breadcrumb -->
+
+    <div id="nav-search" class="nav-search">
+        <form class="form-search">
+            <span class="input-icon">
+                <input type="text" autocomplete="off" id="nav-search-input" class="nav-search-input" placeholder="TÃ¬m kiáº¿m ...">
+                <i class="icon-search nav-search-icon"></i>
+            </span>
+        </form>
+    </div><!-- #nav-search -->
+</div>
+<div class="page-content">
+    <div class="page-header">
+        <h1>
+            Cá»ng tÃ¡c viÃªn
+            <small>
+                <i class="icon-double-angle-right"></i>
+                thá»ng kÃª tÃ i khoáº£n
+            </small>
+        </h1>
+    </div><!-- /.page-header -->
+
+    <div class="row">
+        <div class="col-xs-12">
+            <!-- PAGE CONTENT BEGINS -->
+            <div style="padding-bottom:4px" class="table-header">
+                Thá»ng kÃª tÃ i khoáº£n
+
+                <button href="#addUser" data-toggle="modal" class="btn btn-success pull-right">
+                    <i class="icon-plus"></i>
+                    ThÃªm cá»ng tÃ¡c viÃªn
+                </button>
+
+            </div>
+
+            <div class="table-responsive">
+                <div role="grid" class="dataTables_wrapper" id="sample-table-2_wrapper">
+                    <form onsubmit="return false;" id="collaborator" >
+                    <div class="row">
+                        <div class="col-sm-6">
+                            <div id="sample-table-2_length" class="dataTables_length"><label>Hiá»n thá» 
+                                    <select onchange="filter();" name="items" size="1" aria-controls="sample-table-2">                                      
+                                        <?php  $_smarty_tpl->tpl_vars['option'] = new Smarty_Variable; $_smarty_tpl->tpl_vars['option']->_loop = false;
+ $_from = $_smarty_tpl->tpl_vars['itemsoptions']->value; if (!is_array($_from) && !is_object($_from)) { settype($_from, 'array');}
+foreach ($_from as $_smarty_tpl->tpl_vars['option']->key => $_smarty_tpl->tpl_vars['option']->value){
+$_smarty_tpl->tpl_vars['option']->_loop = true;
+?>
+                                        <option <?php ob_start();?><?php echo $_smarty_tpl->tpl_vars['option']->value;?>
+<?php $_tmp1=ob_get_clean();?><?php ob_start();?><?php echo $_smarty_tpl->tpl_vars['perpage']->value;?>
+<?php $_tmp2=ob_get_clean();?><?php if (($_tmp1==$_tmp2)){?> selected<?php }?> value="<?php echo $_smarty_tpl->tpl_vars['option']->value;?>
+"><?php echo $_smarty_tpl->tpl_vars['option']->value;?>
+</option>
+                                        <?php } ?>
+                                    </select> báº£n ghi</label>
+                            
+                            </div>
+                        </div>
+                        
+                        <div class="col-sm-6">
+                            <div class="dataTables_filter" id="sample-table-2_filter">
+                                <label>TÃ¬m kiáº¿m: 
+                                    <input type="text" name="keyword" id="keyword" value='<?php echo $_smarty_tpl->tpl_vars['keyword']->value;?>
+' aria-controls="sample-table-2"></label>
+                            </div>
+                        </div>
+                    </div>
+                    </form>
+                    <table class="table table-striped table-bordered table-hover dataTable" id="sample-table-2" aria-describedby="sample-table-2_info">
+                        <thead>
+                            <tr role="row"><th class="center sorting_disabled" role="columnheader" rowspan="1" colspan="1" style="width: 44px;" aria-label="">
+                                    <label>
+                                        <input type="checkbox" class="ace">
+                                        <span class="lbl"></span>
+                                    </label>
+                                </th><th class="sorting" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» Äiá»n thoáº¡i: activate to sort column ascending">Sá» Äiá»n thoáº¡i</th><th class="sorting" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 183px;" aria-label="Há» tÃªn: activate to sort column ascending">Há» tÃªn</th><th class="hidden-480 sorting" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 122px;" aria-label="Tiá»n: activate to sort column ascending">Tiá»n</th><th class="sorting" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 209px;" aria-label="
+
+                                                                                                                                                                                                        NgÃ y ÄÄng kÃœ
+                                                                                                                                                                                                        : activate to sort column ascending">
+                                    <i class="icon-time bigger-110 hidden-480"></i>
+                                    NgÃ y ÄÄng kÃœ
+                                </th><th class="hidden-480 sorting" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 158px;" aria-label="Tráº¡ng thÃ¡i: activate to sort column ascending">Tráº¡ng thÃ¡i</th><th class="sorting_disabled" role="columnheader" rowspan="1" colspan="1" style="width: 133px;" aria-label=""></th></tr>
+                        </thead>
+
+
+                        <tbody role="alert" aria-live="polite" aria-relevant="all">
+                            <?php  $_smarty_tpl->tpl_vars['collaborator'] = new Smarty_Variable; $_smarty_tpl->tpl_vars['collaborator']->_loop = false;
+ $_from = $_smarty_tpl->tpl_vars['collaborators']->value; if (!is_array($_from) && !is_object($_from)) { settype($_from, 'array');}
+foreach ($_from as $_smarty_tpl->tpl_vars['collaborator']->key => $_smarty_tpl->tpl_vars['collaborator']->value){
+$_smarty_tpl->tpl_vars['collaborator']->_loop = true;
+?>
+                            <tr class="odd">
+                                <td class="center  sorting_1">
+                                    <label>
+                                        <input type="checkbox" class="ace">
+                                        <span class="lbl"></span>
+                                    </label>
+                                </td>
+
+                                <td class=" ">
+                                    <a href="#"><?php echo $_smarty_tpl->tpl_vars['collaborator']->value['cellphone'];?>
+</a>
+                                </td>
+                                <td class=" "><?php echo $_smarty_tpl->tpl_vars['collaborator']->value['full_name'];?>
+</td>
+                                <td class="hidden-480 ">3,330 VND</td>
+                                <td class=" "><?php echo $_smarty_tpl->tpl_vars['collaborator']->value['created_time'];?>
+</td>
+
+                                <td class="hidden-480 ">
+                                    <?php ob_start();?><?php echo $_smarty_tpl->tpl_vars['collaborator']->value['activated'];?>
+<?php $_tmp3=ob_get_clean();?><?php if (($_tmp3)==1){?>
+                                    <span class="label label-sm label-success">KÃ­ch hoáº¡t</span>
+                                    <?php }?>
+                                    <?php ob_start();?><?php echo $_smarty_tpl->tpl_vars['collaborator']->value['activated'];?>
+<?php $_tmp4=ob_get_clean();?><?php if (($_tmp4)==0){?>
+                                    <span class="label label-sm label-default">ChÆ°a kÃ­ch hoáº¡t</span>
+                                    <?php }?>
+                                </td>
+
+                                <td class=" ">
+                                    <div class="visible-md visible-lg hidden-sm hidden-xs action-buttons">
+                                        <a href="#" class="blue">
+                                            <i class="icon-zoom-in bigger-130"></i>
+                                        </a>
+
+                                        <a href="#" class="green">
+                                            <i class="icon-pencil bigger-130"></i>
+                                        </a>
+
+                                        <a href="#" class="red">
+                                            <i class="icon-trash bigger-130"></i>
+                                        </a>
+                                    </div>
+
+                                    <div class="visible-xs visible-sm hidden-md hidden-lg">
+                                        <div class="inline position-relative">
+                                            <button data-toggle="dropdown" class="btn btn-minier btn-yellow dropdown-toggle">
+                                                <i class="icon-caret-down icon-only bigger-120"></i>
+                                            </button>
+
+                                            <ul class="dropdown-menu dropdown-only-icon dropdown-yellow pull-right dropdown-caret dropdown-close">
+                                                <li>
+                                                    <a title="" data-rel="tooltip" class="tooltip-info" href="#" data-original-title="View">
+                                                        <span class="blue">
+                                                            <i class="icon-zoom-in bigger-120"></i>
+                                                        </span>
+                                                    </a>
+                                                </li>
+
+                                                <li>
+                                                    <a title="" data-rel="tooltip" class="tooltip-success" href="#" data-original-title="Edit">
+                                                        <span class="green">
+                                                            <i class="icon-edit bigger-120"></i>
+                                                        </span>
+                                                    </a>
+                                                </li>
+
+                                                <li>
+                                                    <a title="" data-rel="tooltip" class="tooltip-error" href="#" data-original-title="Delete">
+                                                        <span class="red">
+                                                            <i class="icon-trash bigger-120"></i>
+                                                        </span>
+                                                    </a>
+                                                </li>
+                                            </ul>
+                                        </div>
+                                    </div>
+                                </td>
+                            </tr>
+                            <?php } ?>
+
+
+                            
+                        
+                        
+                        
+                        
+                        </tbody></table><div class="row"><div class="col-sm-6"><div class="dataTables_info" id="sample-table-2_info">Hiá»n thá» 1 Äáº¿n 2 cá»§a 2 báº£n ghi</div></div>
+                            <div class="col-sm-6">
+                                <div class="dataTables_paginate paging_bootstrap">
+                                    <ul class="pagination">
+                                        <?php echo $_smarty_tpl->tpl_vars['paging']->value;?>
+
+                                    </ul>
+                                </div>
+                            </div>
+                        </div>
+                    
+                </div>
+            </div>
+
+            <div id="addUser" class="modal fade in" tabindex="-1">
+                <div class="modal-dialog">
+                    <div class="modal-content">
+                        <div class="modal-header no-padding">
+                            <div class="table-header">
+                                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
+                                    <span class="white">Ã</span>
+                                </button>
+                                ThÃªm cá»ng tÃ¡c viÃªn
+                            </div>
+                        </div>
+
+                        <div class="modal-body">
+                            <form class="form-horizontal" role="form">
+                                <div class="form-group">
+                                    <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> TÃ i khoáº£n </label>
+
+                                    <div class="col-sm-9">
+                                        <span class="input-icon">
+                                            <input type="text" id="form-field-1" placeholder="TÃ i khoáº£n">
+                                            <i class="icon-user blue"></i>
+                                        </span>
+                                    </div>
+                                    <div class="help-block"> </div>
+                                </div>
+
+                                <div class="space-4"></div>
+
+                                <div class="form-group">
+                                    <label class="col-sm-3 control-label no-padding-right" for="form-field-2"> Máº­t kháº©u </label>
+
+                                    <div class="col-sm-9">
+                                        <span class="input-icon">
+                                            <input type="password" id="form-field-2" placeholder="Máº­t kháº©u">
+                                            <i class="icon-lock blue"></i>
+                                        </span>
+                                    </div>
+                                    <div class="help-block"> </div>
+                                </div>
+
+                                <div class="space-4"></div>
+
+                                <div class="clearfix form-actions">
+                                    <div class="col-md-offset-3 col-md-9">
+                                        <button class="btn btn-info" type="button">
+                                            <i class="icon-ok bigger-110"></i>
+                                            HoÃ n táº¥t
+                                        </button>
+
+                                        &nbsp; &nbsp; &nbsp;
+                                        <button class="btn" type="reset">
+                                            <i class="icon-undo bigger-110"></i>
+                                            XÃ³a háº¿t
+                                        </button>
+                                    </div>
+                                </div>
+
+                            </form></div>
+
+                    </div>
+                </div><!-- /.modal-content -->
+            </div><!-- /.modal-dialog -->
+        </div>
+
+        <!-- PAGE CONTENT ENDS -->
+    </div><!-- /.col -->
+</div>
+<script type="text/javascript">
+            window.onload = function ()
+{
+init_page();
+}
+
+
+</script><?php }} ?>
Index: pro-violet-viettel/sourcecode/application/cache/smarty/compiled/bb6499b8e938f92a3695fff1afe57edea4b9efb7.file.index.php.php
===================================================================
--- pro-violet-viettel/sourcecode/application/cache/smarty/compiled/bb6499b8e938f92a3695fff1afe57edea4b9efb7.file.index.php.php	(revision 345)
+++ pro-violet-viettel/sourcecode/application/cache/smarty/compiled/bb6499b8e938f92a3695fff1afe57edea4b9efb7.file.index.php.php	(revision 345)
@@ -0,0 +1,226 @@
+<?php /* Smarty version Smarty-3.1.7, created on 2014-10-30 11:39:11
+         compiled from "index.php" */ ?>
+<?php /*%%SmartyHeaderCode:716593695451c0ef901c10-29007368%%*/if(!defined('SMARTY_DIR')) exit('no direct access allowed');
+$_valid = $_smarty_tpl->decodeProperties(array (
+  'file_dependency' => 
+  array (
+    'bb6499b8e938f92a3695fff1afe57edea4b9efb7' => 
+    array (
+      0 => 'index.php',
+      1 => 1414636706,
+      2 => 'file',
+    ),
+  ),
+  'nocache_hash' => '716593695451c0ef901c10-29007368',
+  'function' => 
+  array (
+  ),
+  'has_nocache_code' => false,
+  'version' => 'Smarty-3.1.7',
+  'unifunc' => 'content_5451c0ef96af6',
+),false); /*/%%SmartyHeaderCode%%*/?>
+<?php if ($_valid && !is_callable('content_5451c0ef96af6')) {function content_5451c0ef96af6($_smarty_tpl) {?><<?php ?>?php
+date_default_timezone_set("Asia/Ho_Chi_Minh");
+/*
+ *---------------------------------------------------------------
+ * APPLICATION ENVIRONMENT
+ *---------------------------------------------------------------
+ *
+ * You can load different configurations depending on your
+ * current environment. Setting the environment also influences
+ * things like logging and error reporting.
+ *
+ * This can be set to anything, but default usage is:
+ *
+ *     development
+ *     testing
+ *     production
+ *
+ * NOTE: If you change these, also change the error_reporting() code below
+ *
+ */
+	define('ENVIRONMENT', 'development');
+/*
+ *---------------------------------------------------------------
+ * ERROR REPORTING
+ *---------------------------------------------------------------
+ *
+ * Different environments will require different levels of error reporting.
+ * By default development will show errors but testing and live will hide them.
+ */
+
+if (defined('ENVIRONMENT'))
+{
+	switch (ENVIRONMENT)
+	{
+		case 'development':
+			error_reporting(E_ALL);
+		break;
+	
+		case 'testing':
+		case 'production':
+			error_reporting(0);
+		break;
+
+		default:
+			exit('The application environment is not set correctly.');
+	}
+}
+
+/*
+ *---------------------------------------------------------------
+ * SYSTEM FOLDER NAME
+ *---------------------------------------------------------------
+ *
+ * This variable must contain the name of your "system" folder.
+ * Include the path if the folder is not in the same  directory
+ * as this file.
+ *
+ */
+	$system_path = 'system';
+
+/*
+ *---------------------------------------------------------------
+ * APPLICATION FOLDER NAME
+ *---------------------------------------------------------------
+ *
+ * If you want this front controller to use a different "application"
+ * folder then the default one you can set its name here. The folder
+ * can also be renamed or relocated anywhere on your server.  If
+ * you do, use a full server path. For more info please see the user guide:
+ * http://codeigniter.com/user_guide/general/managing_apps.html
+ *
+ * NO TRAILING SLASH!
+ *
+ */
+	$application_folder = 'application';
+
+/*
+ * --------------------------------------------------------------------
+ * DEFAULT CONTROLLER
+ * --------------------------------------------------------------------
+ *
+ * Normally you will set your default controller in the routes.php file.
+ * You can, however, force a custom routing by hard-coding a
+ * specific controller class/function here.  For most applications, you
+ * WILL NOT set your routing here, but it's an option for those
+ * special instances where you might want to override the standard
+ * routing in a specific front controller that shares a common CI installation.
+ *
+ * IMPORTANT:  If you set the routing here, NO OTHER controller will be
+ * callable. In essence, this preference limits your application to ONE
+ * specific controller.  Leave the function name blank if you need
+ * to call functions dynamically via the URI.
+ *
+ * Un-comment the $routing array below to use this feature
+ *
+ */
+	// The directory name, relative to the "controllers" folder.  Leave blank
+	// if your controller is not in a sub-folder within the "controllers" folder
+	// $routing['directory'] = '';
+
+	// The controller class file name.  Example:  Mycontroller
+	// $routing['controller'] = '';
+
+	// The controller function you wish to be called.
+	// $routing['function']	= '';
+
+
+/*
+ * -------------------------------------------------------------------
+ *  CUSTOM CONFIG VALUES
+ * -------------------------------------------------------------------
+ *
+ * The $assign_to_config array below will be passed dynamically to the
+ * config class when initialized. This allows you to set custom config
+ * items or override any default config values found in the config.php file.
+ * This can be handy as it permits you to share one application between
+ * multiple front controller files, with each file containing different
+ * config values.
+ *
+ * Un-comment the $assign_to_config array below to use this feature
+ *
+ */
+	// $assign_to_config['name_of_config_item'] = 'value of config item';
+
+
+
+// --------------------------------------------------------------------
+// END OF USER CONFIGURABLE SETTINGS.  DO NOT EDIT BELOW THIS LINE
+// --------------------------------------------------------------------
+
+/*
+ * ---------------------------------------------------------------
+ *  Resolve the system path for increased reliability
+ * ---------------------------------------------------------------
+ */
+
+	// Set the current directory correctly for CLI requests
+	if (defined('STDIN'))
+	{
+		chdir(dirname(__FILE__));
+	}
+
+	if (realpath($system_path) !== FALSE)
+	{
+		$system_path = realpath($system_path).'/';
+	}
+
+	// ensure there's a trailing slash
+	$system_path = rtrim($system_path, '/').'/';
+
+	// Is the system path correct?
+	if ( ! is_dir($system_path))
+	{
+		exit("Your system folder path does not appear to be set correctly. Please open the following file and correct this: ".pathinfo(__FILE__, PATHINFO_BASENAME));
+	}
+
+/*
+ * -------------------------------------------------------------------
+ *  Now that we know the path, set the main path constants
+ * -------------------------------------------------------------------
+ */
+	// The name of THIS file
+	define('SELF', pathinfo(__FILE__, PATHINFO_BASENAME));
+
+	// The PHP file extension
+	// this global constant is deprecated.
+	define('EXT', '.php');
+
+	// Path to the system folder
+	define('BASEPATH', str_replace("\\", "/", $system_path));
+
+	// Path to the front controller (this file)
+	define('FCPATH', str_replace(SELF, '', __FILE__));
+
+	// Name of the "system folder"
+	define('SYSDIR', trim(strrchr(trim(BASEPATH, '/'), '/'), '/'));
+
+
+	// The path to the "application" folder
+	if (is_dir($application_folder))
+	{
+		define('APPPATH', $application_folder.'/');
+	}
+	else
+	{
+		if ( ! is_dir(BASEPATH.$application_folder.'/'))
+		{
+			exit("Your application folder path does not appear to be set correctly. Please open the following file and correct this: ".SELF);
+		}
+
+		define('APPPATH', BASEPATH.$application_folder.'/');
+	}
+
+/*
+ * --------------------------------------------------------------------
+ * LOAD THE BOOTSTRAP FILE
+ * --------------------------------------------------------------------
+ *
+ * And away we go...
+ *
+ */
+require_once BASEPATH.'core/CodeIgniter.php';
+
+/* End of file index.php */
+/* Location: ./index.php */<?php }} ?>
Index: pro-violet-viettel/sourcecode/application/cache/smarty/compiled/cc5f0c5b0d9f85a3d795e56a90f467a99ad4477a.file.header.php.php
===================================================================
--- pro-violet-viettel/sourcecode/application/cache/smarty/compiled/cc5f0c5b0d9f85a3d795e56a90f467a99ad4477a.file.header.php.php	(revision 345)
+++ pro-violet-viettel/sourcecode/application/cache/smarty/compiled/cc5f0c5b0d9f85a3d795e56a90f467a99ad4477a.file.header.php.php	(revision 345)
@@ -0,0 +1,22 @@
+<?php /* Smarty version Smarty-3.1.7, created on 2014-10-30 11:50:33
+         compiled from "application/views/layout/admin/header.php" */ ?>
+<?php /*%%SmartyHeaderCode:1573574515451c399e77a91-84289825%%*/if(!defined('SMARTY_DIR')) exit('no direct access allowed');
+$_valid = $_smarty_tpl->decodeProperties(array (
+  'file_dependency' => 
+  array (
+    'cc5f0c5b0d9f85a3d795e56a90f467a99ad4477a' => 
+    array (
+      0 => 'application/views/layout/admin/header.php',
+      1 => 1414644632,
+      2 => 'file',
+    ),
+  ),
+  'nocache_hash' => '1573574515451c399e77a91-84289825',
+  'function' => 
+  array (
+  ),
+  'has_nocache_code' => false,
+  'version' => 'Smarty-3.1.7',
+  'unifunc' => 'content_5451c399e7df5',
+),false); /*/%%SmartyHeaderCode%%*/?>
+<?php if ($_valid && !is_callable('content_5451c399e7df5')) {function content_5451c399e7df5($_smarty_tpl) {?>369<?php }} ?>