Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/admin_acc.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/admin_acc.php	(revision 352)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/admin_acc.php	(revision 353)
@@ -198,18 +198,17 @@
 									
 											<div class="modal-body">
-												<form method="post" class="form-horizontal validation-form" id="validation-form" action="<?php echo $base_url; ?>admin/home/update">
+												<form method="post" class="form-horizontal" id="validation-edit-form" action="<?php echo $base_url; ?>admin/home/update">
 													<input type="hidden" name="id" id="form-field-0" value="">
 													<div class="form-group">
 														<label for="form-field-1" class="col-sm-3 control-label no-padding-right"> TÃ i khoáº£n </label>
 														<div class="col-sm-9">
-															<span class="input-icon">
-																<input type="text" name="username" placeholder="TÃ i khoáº£n" id="form-field-1" value="">
-																<i class="icon-user blue"></i>
-															</span>
-														</div>
-														<label class="block clearfix has-error">
-															<div class="help-block"> </div>
-														</label>
-														
+															<label class="block clearfix has-error">
+																<span class="input-icon">
+																	<input type="text" name="username" placeholder="TÃ i khoáº£n" id="form-field-1" value="">
+																	<i class="icon-user blue"></i>
+																</span>
+																<div class="help-block"> </div>
+															</label>
+														</div>
 													</div>
 
@@ -350,16 +349,16 @@
 
 											<div class="modal-body">
-												<form method="post" class="form-horizontal validation-add-form" id="validation-form" action="<?php echo $base_url; ?>admin/home/insert">
+												<form method="post" class="form-horizontal" id="validation-add-form" action="<?php echo $base_url; ?>admin/home/insert">
 													<div class="form-group">
 														<label for="form-field-1" class="col-sm-3 control-label no-padding-right"> TÃ i khoáº£n </label>
 														<div class="col-sm-9">
-															<span class="input-icon">
-																<input type="text" name="username" placeholder="TÃ i khoáº£n" id="form-field-1">
-																<i class="icon-user blue"></i>
-															</span>
-														</div>
-														<label class="block clearfix has-error">
-															<div class="help-block"> </div>
-														</label>
+															<label class="block clearfix has-error">
+																<span class="input-icon">
+																	<input type="text" name="username" placeholder="TÃ i khoáº£n" id="form-field-1">
+																	<i class="icon-user blue"></i>
+																</span>
+																<div class="help-block"> </div>
+															</label>
+														</div>
 													</div>
 
@@ -367,16 +366,14 @@
 														<label for="form-field-2" class="col-sm-3 control-label no-padding-right"> Máº­t kháº©u </label>
 														<div class="col-sm-9">
-															<span class="input-icon">
-																<input type="password" name="password" placeholder="Máº­t kháº©u" id="form-field-2">
-																<i class="icon-lock blue"></i>
-															</span>
-														</div>
-														<label class="block clearfix has-error">
-															<div class="help-block"> </div>
-														</label>
-													</div>
-
-													<div class="space-4"></div>
-													
+															<label class="block clearfix has-error">
+																<span class="input-icon">
+																	<input type="password" name="password" placeholder="Máº­t kháº©u" id="form-field-2">
+																	<i class="icon-lock blue"></i>
+																</span>
+																<div class="help-block"> </div>
+															</label>
+														</div>			
+													</div>
+													<div class="space-4"></div>	
 													<div class="form-group">
 														<label for="form-field-3" class="col-sm-3 control-label no-padding-right"> Há» tÃªn </label>