Index: pro-violet-viettel/sourcecode/application/modules/admin/views/collaborator/index.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/collaborator/index.php	(revision 353)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/collaborator/index.php	(revision 354)
@@ -62,5 +62,5 @@
 </script>
 <div class="main-content" id="content">
-    {content}
+    <?php echo $content; ?>
 </div><!-- /.main-content -->
 </div><!-- /.main-container-inner -->
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/collaborator/listview.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/collaborator/listview.php	(revision 353)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/collaborator/listview.php	(revision 354)
@@ -1,6 +1,3 @@
 <div id="breadcrumbs" class="breadcrumbs">
-    <script type="text/javascript">
-        try{literal}{{/literal}ace.settings.check('breadcrumbs' , 'fixed')}catch(e){}
-    </script>
 
     <ul class="breadcrumb">
@@ -55,43 +52,49 @@
                 <div role="grid" class="dataTables_wrapper" id="sample-table-2_wrapper">
                     <form onsubmit="return false;" id="collaborator" >
-                    <div class="row">
-                        <div class="col-sm-6">
-                            <div id="sample-table-2_length" class="dataTables_length"><label>Hiá»n thá» 
-                                    <select onchange="filter();" name="items" size="1" aria-controls="sample-table-2">                                      
-                                        {foreach from=$itemsoptions item=option}
-                                        <option {if ({$option}=={$perpage})} selected{/if} value="{$option}">{$option}</option>
-                                        {/foreach}
-                                    </select> báº£n ghi</label>
-                            
+                        <div class="row">
+                            <div class="col-sm-6">
+                                <div id="sample-table-2_length" class="dataTables_length"><label>Hiá»n thá» 
+                                        <select onchange="filter();" name="items" size="1" aria-controls="sample-table-2">                                      
+                                            <?php foreach ($itemsoptions as $option) { ?>
+                                            <option <?php if($option == $perpage) echo "selected"; ?> value="<?=$option?>"><?=$option?></option>
+                                            <?php } ?>
+                                        </select> báº£n ghi</label>
+
+                                </div>
+                            </div>
+
+                            <div class="col-sm-6">
+                                <div class="dataTables_filter" id="sample-table-2_filter">
+                                    <label>TÃ¬m kiáº¿m: 
+                                        <input type="text" name="keyword" id="keyword" value='<?php echo $keyword;?>' aria-controls="sample-table-2"></label>
+                                </div>
                             </div>
                         </div>
-                        
-                        <div class="col-sm-6">
-                            <div class="dataTables_filter" id="sample-table-2_filter">
-                                <label>TÃ¬m kiáº¿m: 
-                                    <input type="text" name="keyword" id="keyword" value='{$keyword}' aria-controls="sample-table-2"></label>
-                            </div>
-                        </div>
-                    </div>
                     </form>
                     <table class="table table-striped table-bordered table-hover dataTable" id="sample-table-2" aria-describedby="sample-table-2_info">
                         <thead>
-                            <tr role="row"><th class="center sorting_disabled" role="columnheader" rowspan="1" colspan="1" style="width: 44px;" aria-label="">
+                            <tr role="row">
+                                <th class="center sorting_disabled" role="columnheader" rowspan="1" colspan="1" style="width: 44px;" aria-label="">
                                     <label>
                                         <input type="checkbox" class="ace">
                                         <span class="lbl"></span>
                                     </label>
-                                </th><th class="sorting" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» Äiá»n thoáº¡i: activate to sort column ascending">Sá» Äiá»n thoáº¡i</th><th class="sorting" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 183px;" aria-label="Há» tÃªn: activate to sort column ascending">Há» tÃªn</th><th class="hidden-480 sorting" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 122px;" aria-label="Tiá»n: activate to sort column ascending">Tiá»n</th><th class="sorting" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 209px;" aria-label="
-
-                                                                                                                                                                                                        NgÃ y ÄÄng kÃœ
-                                                                                                                                                                                                        : activate to sort column ascending">
+                                </th>
+                                <th class="sorting" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 176px;" aria-label="Sá» Äiá»n thoáº¡i: activate to sort column ascending">Sá» Äiá»n thoáº¡i</th>
+                                <th class="sorting" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 183px;" aria-label="Há» tÃªn: activate to sort column ascending">Há» tÃªn</th>
+                                <th class="hidden-480 sorting" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 122px;" aria-label="Tiá»n: activate to sort column ascending">Tiá»n</th>
+                                <th class="sorting" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 209px;" aria-label="NgÃ y ÄÄng kÃœ: activate to sort column ascending">
                                     <i class="icon-time bigger-110 hidden-480"></i>
                                     NgÃ y ÄÄng kÃœ
-                                </th><th class="hidden-480 sorting" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 158px;" aria-label="Tráº¡ng thÃ¡i: activate to sort column ascending">Tráº¡ng thÃ¡i</th><th class="sorting_disabled" role="columnheader" rowspan="1" colspan="1" style="width: 133px;" aria-label=""></th></tr>
+                                </th>
+                                <th class="hidden-480 sorting" role="columnheader" tabindex="0" aria-controls="sample-table-2" rowspan="1" colspan="1" style="width: 158px;" aria-label="Tráº¡ng thÃ¡i: activate to sort column ascending">Tráº¡ng thÃ¡i</th><th class="sorting_disabled" role="columnheader" rowspan="1" colspan="1" style="width: 133px;" aria-label=""></th></tr>
                         </thead>
 
 
                         <tbody role="alert" aria-live="polite" aria-relevant="all">
-                            {foreach from=$collaborators item=collaborator}
+                            
+                            <?php
+                            foreach ($collaborators as $collaborator) {
+                                ?>
                             <tr class="odd">
                                 <td class="center  sorting_1">
@@ -103,17 +106,22 @@
 
                                 <td class=" ">
-                                    <a href="#">{$collaborator.cellphone}</a>
-                                </td>
-                                <td class=" ">{$collaborator.full_name}</td>
+                                    <a href="#"><?php echo $collaborator['cellphone']?></a>
+                                </td>
+                                <td class=" "><?php echo $collaborator['full_name']?></td>
                                 <td class="hidden-480 ">3,330 VND</td>
-                                <td class=" ">{$collaborator.created_time}</td>
+                                <td class=" "><?php echo $collaborator['created_time']?></td>
 
                                 <td class="hidden-480 ">
-                                    {if ({$collaborator.activated})==1}
-                                    <span class="label label-sm label-success">KÃ­ch hoáº¡t</span>
-                                    {/if}
-                                    {if ({$collaborator.activated})==0}
+                                    <?php if ( $collaborator['activated']==1)
+                                    {?>
+                                    <span class="label label-sm label-success">ÄÃ£ kÃ­ch hoáº¡t</span>
+                                    <?php
+                                    } else
+                                    {
+                                    ?>
                                     <span class="label label-sm label-default">ChÆ°a kÃ­ch hoáº¡t</span>
-                                    {/if}
+                                    <?php
+                                    }
+                                    ?>
                                 </td>
 
@@ -168,22 +176,25 @@
                                 </td>
                             </tr>
-                            {/foreach}
-
-
-                            
-                        
-                        
-                        
-                        
-                        </tbody></table><div class="row"><div class="col-sm-6"><div class="dataTables_info" id="sample-table-2_info">Hiá»n thá» 1 Äáº¿n 2 cá»§a 2 báº£n ghi</div></div>
-                            <div class="col-sm-6">
-                                <div class="dataTables_paginate paging_bootstrap">
-                                    <ul class="pagination">
-                                        {$paging}
-                                    </ul>
-                                </div>
+                            <?php } ?>
+
+
+
+
+
+
+
+                        </tbody></table><div class="row"><div class="col-sm-6">
+                                <div class="dataTables_info" id="sample-table-2_info">Hiá»n thá» <?php echo ($start+1)?> Äáº¿n <?php echo ($start+$perpage)?> cá»§a <?php echo $total?> báº£n ghi</div>
+                                    
+                            </div>
+                        <div class="col-sm-6">
+                            <div class="dataTables_paginate paging_bootstrap">
+                                <ul class="pagination">
+                                    <?php echo $paging; ?>
+                                </ul>
                             </div>
                         </div>
-                    
+                    </div>
+
                 </div>
             </div>
@@ -257,8 +268,8 @@
 </div>
 <script type="text/javascript">
-            window.onload = function ()
-{
-init_page();
-}
+    window.onload = function ()
+    {
+        init_page();
+    }
 
 