Index: /pro-violet-viettel/sourcecode/application/modules/admin/views/user_profile.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/views/user_profile.php	(revision 356)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/views/user_profile.php	(revision 356)
@@ -0,0 +1,255 @@
+<?php
+$base_url = base_url();
+$this->load->view('layout/admin/header', array('base_url' => $base_url));
+$this->load->view('layout/admin/sidebar', array('base_url' => $base_url));
+?>
+				<div class="main-content">
+					<div class="breadcrumbs" id="breadcrumbs">
+						<script type="text/javascript">
+							try{ace.settings.check('breadcrumbs' , 'fixed')}catch(e){}
+						</script>
+
+						<ul class="breadcrumb">
+							<li>
+								<i class="icon-home home-icon"></i>
+								<a href="#">Trang chá»§</a>
+							</li>
+						</ul><!-- .breadcrumb -->
+
+						<div class="nav-search" id="nav-search">
+							<form class="form-search">
+								<span class="input-icon">
+									<input type="text" placeholder="TÃ¬m kiáº¿m ..." class="nav-search-input" id="nav-search-input" autocomplete="off" />
+									<i class="icon-search nav-search-icon"></i>
+								</span>
+							</form>
+						</div><!-- #nav-search -->
+					</div>
+
+					<div class="page-content">
+						<div class="page-header">
+							<h1>
+								ThÃŽng tin cÃ¡ nhÃ¢n
+								<small>
+									<i class="icon-double-angle-right"></i>
+									Admin
+								</small>
+							</h1>
+						</div><!-- /.page-header -->
+
+						<div class="row">
+							<div class="col-xs-12">
+								<!-- PAGE CONTENT BEGINS -->
+								<div class="user-profile row" id="user-profile-3">
+									<div class="col-sm-offset-1 col-sm-10">
+
+										<form class="form-horizontal">
+											<div class="tabbable">
+												<ul class="nav nav-tabs padding-16">
+													<li class="active">
+														<a href="#edit-basic" data-toggle="tab">
+															<i class="green icon-edit bigger-125"></i>
+															ThÃŽng tin cÃ¡ nhÃ¢n
+														</a>
+													</li>
+
+													<li>
+														<a href="#edit-password" data-toggle="tab">
+															<i class="blue icon-key bigger-125"></i>
+															Äá»i máº­t kháº©u
+														</a>
+													</li>
+												</ul>
+
+												<div class="tab-content profile-edit-tab-content">
+													<div class="tab-pane in active" id="edit-basic">
+														<h4 class="header blue bolder smaller">ThÃŽng tin chung</h4>
+
+														<div class="row">
+															<div class="col-xs-12 col-sm-4">
+																<div class="ace-file-input ace-file-multiple"><input type="file"><a href="#" class="remove"><i class="icon-remove"></i></a></div>
+															</div>
+
+															<div class="vspace-xs"></div>
+
+															<div class="col-xs-12 col-sm-8">
+																<div class="form-group">
+																	<label for="form-field-username" class="col-sm-4 control-label no-padding-right">TÃ i khoáº£n</label>
+
+																	<div class="col-sm-8">
+																		<input type="text" value="Admin" placeholder="TÃ i khoáº£n" id="form-field-username" class="col-xs-12 col-sm-10" disabled>
+																	</div>
+																</div>
+
+																<div class="space-4"></div>
+
+																<div class="form-group">
+																	<label for="form-field-first" class="col-sm-4 control-label no-padding-right">Há» vÃ  tÃªn</label>
+
+																	<div class="col-sm-8">
+																		<input type="text" value="" placeholder="Há»" id="form-field-first" class="input-small">
+																		<input type="text" value="" placeholder="TÃªn" id="form-field-last" class="input-small">
+																	</div>
+																</div>
+															</div>
+														</div>
+
+														<hr>
+														<div class="form-group">
+															<label for="form-field-date" class="col-sm-3 control-label no-padding-right">NgÃ y sinh</label>
+
+															<div class="col-sm-9">
+																<div class="input-medium">
+																	<div class="input-group">
+																		<input type="text" placeholder="dd-mm-yyyy" data-date-format="dd-mm-yyyy" id="form-field-date" class="input-medium date-picker">
+																		<span class="input-group-addon">
+																			<i class="icon-calendar"></i>
+																		</span>
+																	</div>
+																</div>
+															</div>
+														</div>
+
+														<div class="space-4"></div>
+
+														<div class="form-group">
+															<label class="col-sm-3 control-label no-padding-right">Giá»i tÃ­nh</label>
+
+															<div class="col-sm-9">
+																<label class="inline">
+																	<input type="radio" class="ace" name="form-field-radio">
+																	<span class="lbl"> Nam</span>
+																</label>
+
+																&nbsp; &nbsp; &nbsp;
+																<label class="inline">
+																	<input type="radio" class="ace" name="form-field-radio">
+																	<span class="lbl"> Ná»¯</span>
+																</label>
+															</div>
+														</div>
+
+														<div class="space"></div>
+														<h4 class="header blue bolder smaller">ThÃŽng tin liÃªn há»</h4>
+
+														<div class="form-group">
+															<label for="form-field-email" class="col-sm-3 control-label no-padding-right">Email</label>
+
+															<div class="col-sm-9">
+																<span class="input-icon input-icon-right">
+																	<input type="email" value="" id="form-field-email">
+																	<i class="icon-envelope"></i>
+																</span>
+															</div>
+														</div>
+
+														<div class="space-4"></div>
+
+														<div class="form-group">
+															<label for="form-field-website" class="col-sm-3 control-label no-padding-right">Website</label>
+
+															<div class="col-sm-9">
+																<span class="input-icon input-icon-right">
+																	<input type="url" value="" id="form-field-website">
+																	<i class="icon-globe"></i>
+																</span>
+															</div>
+														</div>
+
+														<div class="space"></div>
+														<h4 class="header blue bolder smaller">Máº¡ng xÃ£ há»i</h4>
+
+														<div class="form-group">
+															<label for="form-field-facebook" class="col-sm-3 control-label no-padding-right">Facebook</label>
+
+															<div class="col-sm-9">
+																<span class="input-icon">
+																	<input type="text" id="form-field-facebook" value="">
+																	<i class="icon-facebook blue"></i>
+																</span>
+															</div>
+														</div>
+
+														<div class="space-4"></div>
+
+														<div class="form-group">
+															<label for="form-field-twitter" class="col-sm-3 control-label no-padding-right">Twitter</label>
+
+															<div class="col-sm-9">
+																<span class="input-icon">
+																	<input type="text" id="form-field-twitter" value="">
+																	<i class="icon-twitter light-blue"></i>
+																</span>
+															</div>
+														</div>
+
+														<div class="space-4"></div>
+
+														<div class="form-group">
+															<label for="form-field-gplus" class="col-sm-3 control-label no-padding-right">Google+</label>
+
+															<div class="col-sm-9">
+																<span class="input-icon">
+																	<input type="text" id="form-field-gplus" value="">
+																	<i class="icon-google-plus red"></i>
+																</span>
+															</div>
+														</div>
+													</div>
+
+													<div class="tab-pane" id="edit-password">
+														<div class="space-10"></div>
+
+														<div class="form-group">
+															<label for="form-field-pass1" class="col-sm-3 control-label no-padding-right">Máº­t kháº©u má»i</label>
+
+															<div class="col-sm-9">
+																<input type="password" id="form-field-pass1">
+															</div>
+														</div>
+
+														<div class="space-4"></div>
+
+														<div class="form-group">
+															<label for="form-field-pass2" class="col-sm-3 control-label no-padding-right">Nháº­p láº¡i máº­t kháº©u</label>
+
+															<div class="col-sm-9">
+																<input type="password" id="form-field-pass2">
+															</div>
+														</div>
+													</div>
+												</div>
+											</div>
+
+											<div class="clearfix form-actions">
+												<div class="col-md-offset-3 col-md-9">
+													<button type="button" class="btn btn-info">
+														<i class="icon-ok bigger-110"></i>
+														LÆ°u láº¡i
+													</button>
+
+													&nbsp; &nbsp;
+													<button type="reset" class="btn">
+														<i class="icon-undo bigger-110"></i>
+														XÃ³a háº¿t
+													</button>
+												</div>
+											</div>
+										</form>
+									</div><!-- /span -->
+								</div>
+
+								<!-- PAGE CONTENT ENDS -->
+							</div><!-- /.col -->
+						</div><!-- /.row -->
+					</div><!-- /.page-content -->
+				</div><!-- /.main-content -->
+			</div><!-- /.main-container-inner -->
+
+			<a href="#" id="btn-scroll-up" class="btn-scroll-up btn btn-sm btn-inverse">
+				<i class="icon-double-angle-up icon-only bigger-110"></i>
+			</a>
+		</div><!-- /.main-container -->
+<?php
+$this->load->view('layout/admin/footer', array('base_url' => $base_url));
+?>