Index: pro-violet-viettel/sourcecode/application/modules/admin/controllers/collaborator.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/controllers/collaborator.php	(revision 358)
+++ pro-violet-viettel/sourcecode/application/modules/admin/controllers/collaborator.php	(revision 359)
@@ -79,8 +79,14 @@
         return $this->load->view('collaborator/listview', $data,true);   
     }
+    public function addCollaborator()
+    {
+        $result=array();
+        $input=$this->input->post();
+        $this->db->insert('tblcollaborator', $input); 
+        $result['success']=1;
+        echo json_encode($result);
+    }
     public function test() {
-        $data=$this->db->get_where('tblcollaborator');
-        print_r ($data->result_array());
-        die();
+        
         for ($i = 1; $i <= 500; $i++) {
             $collaborator = new Entities\Tblcollaborator();
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/collaborator/index.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/collaborator/index.php	(revision 358)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/collaborator/index.php	(revision 359)
@@ -1,4 +1,3 @@
 <?php
-
 $base_url = base_url();
 $this->load->view('layout/admin/header', array('base_url' => $base_url));
@@ -29,5 +28,5 @@
         })
         $('#keyword').keyup(function (event) {
-            if (event.keyCode == '13') {              
+            if (event.keyCode == '13') {
                 filter();
             }
@@ -35,6 +34,6 @@
         });
     }
-    
-    
+
+
     function filter()
     {
@@ -70,6 +69,90 @@
 </a>
 </div><!-- /.main-container -->
+
+
+<div id="addUser" class="modal fade in" tabindex="-1">
+    <div class="modal-dialog">
+        <div class="modal-content">
+            <div class="modal-header no-padding">
+                <div class="table-header">
+                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
+                        <span class="white">Ã</span>
+                    </button>
+                    ThÃªm cá»ng tÃ¡c viÃªn
+                </div>
+            </div>
+
+            <div class="modal-body">
+                <form id="add_user" onsubmit="return false;" class="form-horizontal" role="form">
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> TÃªn Äáº§y Äá»§ </label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input name="full_name" type="text" id="form-field-1" placeholder="TÃªn cá»ng tÃ¡c viÃªn">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> TÃªn ÄÄng nháº­p </label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input name="login_name" type="text" id="form-field-1" placeholder="TÃ i khoáº£n">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Sá» Äiá»n thoáº¡i</label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input name="cellphone" type="text" id="form-field-1" placeholder="Sá» Äiá»n thoáº¡i">
+                                <i class="icon-user blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+                    <div class="space-4"></div>
+
+                    <div class="form-group">
+                        <label class="col-sm-3 control-label no-padding-right" for="form-field-2"> Máº­t kháº©u </label>
+
+                        <div class="col-sm-9">
+                            <span class="input-icon">
+                                <input type="password" name="passwd" id="form-field-2" placeholder="Máº­t kháº©u">
+                                <i class="icon-lock blue"></i>
+                            </span>
+                        </div>
+                        <div class="help-block"> </div>
+                    </div>
+
+                    <div class="space-4"></div>
+
+                    <div class="clearfix form-actions">
+                        <div class="col-md-offset-3 col-md-9">
+                            <button class="btn btn-info" id="add_user" type="button">
+                                <i class="icon-ok bigger-110"></i>
+                                HoÃ n táº¥t
+                            </button>
+
+                            &nbsp; &nbsp; &nbsp;
+                            <button class="btn" type="reset">
+                                <i class="icon-undo bigger-110"></i>
+                                XÃ³a háº¿t
+                            </button>
+                        </div>
+                    </div>
+
+                </form></div>
+
+        </div>
+    </div><!-- /.modal-content -->
+</div><!-- /.modal-dialog -->
 <?php
-
 $this->load->view('layout/admin/footer', array('base_url' => $base_url, 'adminjs' => array('assets/js/admin/collaborator.js')));
 ?>
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/collaborator/listview.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/collaborator/listview.php	(revision 358)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/collaborator/listview.php	(revision 359)
@@ -200,66 +200,5 @@
             </div>
 
-            <div id="addUser" class="modal fade in" tabindex="-1">
-                <div class="modal-dialog">
-                    <div class="modal-content">
-                        <div class="modal-header no-padding">
-                            <div class="table-header">
-                                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
-                                    <span class="white">Ã</span>
-                                </button>
-                                ThÃªm cá»ng tÃ¡c viÃªn
-                            </div>
-                        </div>
-
-                        <div class="modal-body">
-                            <form class="form-horizontal" role="form">
-                                <div class="form-group">
-                                    <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> TÃ i khoáº£n </label>
-
-                                    <div class="col-sm-9">
-                                        <span class="input-icon">
-                                            <input type="text" id="form-field-1" placeholder="TÃ i khoáº£n">
-                                            <i class="icon-user blue"></i>
-                                        </span>
-                                    </div>
-                                    <div class="help-block"> </div>
-                                </div>
-
-                                <div class="space-4"></div>
-
-                                <div class="form-group">
-                                    <label class="col-sm-3 control-label no-padding-right" for="form-field-2"> Máº­t kháº©u </label>
-
-                                    <div class="col-sm-9">
-                                        <span class="input-icon">
-                                            <input type="password" id="form-field-2" placeholder="Máº­t kháº©u">
-                                            <i class="icon-lock blue"></i>
-                                        </span>
-                                    </div>
-                                    <div class="help-block"> </div>
-                                </div>
-
-                                <div class="space-4"></div>
-
-                                <div class="clearfix form-actions">
-                                    <div class="col-md-offset-3 col-md-9">
-                                        <button class="btn btn-info" type="button">
-                                            <i class="icon-ok bigger-110"></i>
-                                            HoÃ n táº¥t
-                                        </button>
-
-                                        &nbsp; &nbsp; &nbsp;
-                                        <button class="btn" type="reset">
-                                            <i class="icon-undo bigger-110"></i>
-                                            XÃ³a háº¿t
-                                        </button>
-                                    </div>
-                                </div>
-
-                            </form></div>
-
-                    </div>
-                </div><!-- /.modal-content -->
-            </div><!-- /.modal-dialog -->
+            
         </div>
 