Index: pro-violet-viettel/sourcecode/application/modules/admin/controllers/collaborator.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/controllers/collaborator.php	(revision 372)
+++ pro-violet-viettel/sourcecode/application/modules/admin/controllers/collaborator.php	(revision 373)
@@ -43,5 +43,13 @@
         }
         if ($this->input->post('keyword')) {
+            $data['search_field']="";
             $data['keyword'] = $this->input->post('keyword');
+            $data['search_field']="cellphone";
+            
+            if (preg_match("/[0-9]/", $data['keyword']))
+            {
+               $data['search_field']="cellphone"; 
+            }
+            
         }
         
Index: pro-violet-viettel/sourcecode/application/modules/admin/models/collabolator_model.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/models/collabolator_model.php	(revision 372)
+++ pro-violet-viettel/sourcecode/application/modules/admin/models/collabolator_model.php	(revision 373)
@@ -1,60 +1,55 @@
-﻿<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
+﻿<?php
+if (!defined('BASEPATH'))
+    exit('No direct script access allowed');
 
-class Collabolator_model extends MY_Model
-{
-	
-	protected $table_name = 'tblcollaborator';
-	protected $id_name = 'id';
+class Collabolator_model extends MY_Model {
 
-	function __construct()
-	{
-		parent::__construct();
-	}
-	function getCollaborator($data)
-        {
-            $sql="SELECT * FROM ".$this->table_name;
-            $data['keyword']='';
+    protected $table_name = 'tblcollaborator';
+    protected $id_name = 'id';
 
-            if ($data['keyword'])
-            {
-            $sql.=" WHERE (full_name LIKE '%".$data['keyword']."%' OR login_name LIKE '%".$data['keyword']."%') ";
+    function __construct() {
+        parent::__construct();
+    }
+
+    function getCollaborator($data) {
+        $sql = "SELECT * FROM " . $this->table_name;
+        if ($data['keyword']) {
+            if ($data['search_field'] == "cellphone") {
+                $sql.=" WHERE (cellphone LIKE '%" . $data['keyword'] . "%')";
+            } else {
+                $sql.=" WHERE (full_name LIKE '%" . $data['keyword'] . "%' OR login_name LIKE '%" . $data['keyword'] . "%') ";
             }
-            $order="";
-            if ($data['sorting_order'] != "sorting")
-            {
-                if ($data['sorting_field'] != "money")
-                {
-                $sort="DESC";
-                if ($data['sorting_order']=="sorting_asc") $sort = "ASC";
-                $order="ORDER BY ".$data['sorting_field']." ".$sort;
-                }
+        }
+
+        $order = "";
+        if ($data['sorting_order'] != "sorting") {
+            if ($data['sorting_field'] != "money") {
+                $sort = "DESC";
+                if ($data['sorting_order'] == "sorting_asc")
+                    $sort = "ASC";
+                $order = "ORDER BY " . $data['sorting_field'] . " " . $sort;
             }
-           
-            return $this->db->query($sql." ".$order." LIMIT ".$data['start'].", ".$data['perpage']." ")->result_array();
+        }
+       
+        return $this->db->query($sql . " " . $order . " LIMIT " . $data['start'] . ", " . $data['perpage'] . " ")->result_array();
+    }
 
+    function isExist($data) {
+        $sql = "SELECT COUNT(id) as total FROM " . $this->table_name . " WHERE " . $data['field'] . " = '" . $data['value'] . "' LIMIT 1";
+        if ($this->db->query($sql)->row_array()['total'] == 1) {
+            return true;
+        } else {
+            return false;
         }
-        function isExist($data)
-        {
-            $sql="SELECT COUNT(id) as total FROM ".$this->table_name." WHERE ".$data['field']." = '".$data['value']."' LIMIT 1";
-            if ($this->db->query($sql)->row_array()['total']==1)
-            {
-                return true;
-            }
-            else
-            {
-                return false;
-            }
-            
+    }
+
+    function countCollaborator($data) {
+        $sql = "SELECT COUNT(id) as total FROM " . $this->table_name;
+        if (isset($data['keyword'])) {
+            $sql.=" WHERE (full_name LIKE '%" . $data['keyword'] . "%' OR login_name LIKE '%" . $data['keyword'] . "%') ";
         }
-        function countCollaborator($data)
-        {
-            $sql="SELECT COUNT(id) as total FROM ".$this->table_name;
-            if (isset($data['keyword']))
-            {
-            $sql.=" WHERE (full_name LIKE '%".$data['keyword']."%' OR login_name LIKE '%".$data['keyword']."%') ";
-            }
 
-            return $this->db->query($sql)->row_array()['total'];
-            
-        }
+        return $this->db->query($sql)->row_array()['total'];
+    }
+
 }
Index: pro-violet-viettel/sourcecode/application/modules/admin/views/collaborator/listview.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/collaborator/listview.php	(revision 372)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/collaborator/listview.php	(revision 373)
@@ -51,5 +51,5 @@
             <div class="table-responsive">
                 <div role="grid" class="dataTables_wrapper" id="sample-table-2_wrapper">
-                    <form onsubmit="return false;" id="collaborator" >
+                    <form autocomplete="off" onsubmit="return false;" id="collaborator" >
                         <div class="row">
                             <div class="col-sm-6">