Index: pro-violet-viettel/sourcecode/application/modules/admin/views/admin_acc/index.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/admin/views/admin_acc/index.php	(revision 375)
+++ pro-violet-viettel/sourcecode/application/modules/admin/views/admin_acc/index.php	(revision 377)
@@ -74,9 +74,9 @@
 				<form id="add_frm" onsubmit="return false;" class="form-horizontal" role="form">
 						<div class="form-group">
-						<label for="form-field-3" class="col-sm-3 control-label no-padding-right"> Há» tÃªn </label>
-						<div class="col-sm-9">
-							<label class="block clearfix has-error">
-								<span class="input-icon">
-									<input type="text" name="full_name" placeholder="Há» tÃªn" id="form-field-3">
+						<label for="form-field-1" class="col-sm-3 control-label no-padding-right"> Há» tÃªn </label>
+						<div class="col-sm-9">
+							<label class="block clearfix has-error">
+								<span class="input-icon">
+									<input type="text" name="full_name" placeholder="Há» tÃªn" id="form-field-1">
 									<i class="icon-user blue"></i>
 								</span>
@@ -88,5 +88,5 @@
 					
 					<div class="form-group">
-						<label for="form-field-1" class="col-sm-3 control-label no-padding-right"> TÃ i khoáº£n </label>
+						<label for="form-field-2" class="col-sm-3 control-label no-padding-right"> TÃ i khoáº£n </label>
 						
 						<div class="col-sm-9">
@@ -94,5 +94,5 @@
 							<label class="block clearfix has-error">
 								<span class="input-icon">
-									<input type="text" name="login_name" placeholder="TÃ i khoáº£n" id="form-field-1">
+									<input type="text" name="login_name" placeholder="TÃ i khoáº£n" id="form-field-2">
 									<i class="icon-user blue"></i>
 								</span>
@@ -104,9 +104,9 @@
 
 					<div class="form-group">
-						<label for="form-field-2" class="col-sm-3 control-label no-padding-right"> Máº­t kháº©u </label>
-						<div class="col-sm-9">
-							<label class="block clearfix has-error">
-								<span class="input-icon">
-									<input type="password" name="passwd" placeholder="Máº­t kháº©u" id="form-field-2">
+						<label for="form-field-3" class="col-sm-3 control-label no-padding-right"> Máº­t kháº©u </label>
+						<div class="col-sm-9">
+							<label class="block clearfix has-error">
+								<span class="input-icon">
+									<input type="password" name="passwd" placeholder="Máº­t kháº©u" id="form-field-3">
 									<i class="icon-lock blue"></i>
 								</span>
@@ -119,9 +119,9 @@
 					
 					<div class="form-group">
-						<label for="form-field-2" class="col-sm-3 control-label no-padding-right">XÃ¡c nháº­n máº­t kháº©u </label>
-						<div class="col-sm-9">
-							<label class="block clearfix has-error">
-								<span class="input-icon">
-									<input type="password" name="pwd2" placeholder="Nháº­p láº¡i máº­t kháº©u" id="form-field-2">
+						<label for="form-field-4" class="col-sm-3 control-label no-padding-right">XÃ¡c nháº­n máº­t kháº©u </label>
+						<div class="col-sm-9">
+							<label class="block clearfix has-error">
+								<span class="input-icon">
+									<input type="password" name="pwd2" placeholder="Nháº­p láº¡i máº­t kháº©u" id="form-field-4">
 									<i class="icon-lock blue"></i>
 								</span>
@@ -134,9 +134,9 @@
 					
 					<div class="form-group">
-						<label for="form-field-3" class="col-sm-3 control-label no-padding-right"> Email </label>
-						<div class="col-sm-9">
-							<label class="block clearfix has-error">
-								<span class="input-icon">
-									<input type="text" name="email" placeholder="Email" id="form-field-3">
+						<label for="form-field-5" class="col-sm-3 control-label no-padding-right"> Email </label>
+						<div class="col-sm-9">
+							<label class="block clearfix has-error">
+								<span class="input-icon">
+									<input type="text" name="email" placeholder="Email" id="form-field-5">
 									<i class="icon-envelope blue"></i>
 								</span>
@@ -150,10 +150,10 @@
 					
 					<div class="form-group">
-						<label for="form-field-4" class="col-sm-3 control-label no-padding-right"> Phone </label>
-
-						<div class="col-sm-9">
-							<label class="block clearfix has-error">
-								<span class="input-icon">
-									<input type="text" name="phone" placeholder="Phone" id="form-field-4">
+						<label for="form-field-6" class="col-sm-3 control-label no-padding-right"> Phone </label>
+
+						<div class="col-sm-9">
+							<label class="block clearfix has-error">
+								<span class="input-icon">
+									<input type="text" name="phone" placeholder="Phone" id="form-field-6">
 									<i class="icon-phone blue"></i>
 								</span>